<?php
/**
 * @Packge     : Taxiar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    taxiar_setPostViews( get_the_ID() );

    ?>
    <div <?php post_class(); ?>>
    <?php
        if( class_exists('ReduxFramework') ) {
            $taxiar_post_details_title_position = taxiar_opt('taxiar_post_details_title_position');
        } else {
            $taxiar_post_details_title_position = 'header';
        }

        $allowhtml = array(
            'p'         => array(
                'class'     => array()
            ),
            'span'      => array(),
            'a'         => array(
                'href'      => array(),
                'title'     => array()
            ),
            'br'        => array(),
            'em'        => array(),
            'strong'    => array(),
            'b'         => array(),
        );
        // Blog Post Thumbnail
        do_action( 'taxiar_blog_post_thumb' );
        
        echo '<div class="blog-content">';

            // Blog Post Meta
            do_action( 'taxiar_blog_post_meta' );

            if( $taxiar_post_details_title_position != 'header' ) {
                echo '<h2 class="blog-title">'.wp_kses( get_the_title(), $allowhtml ).'</h2>';
            }

            if( get_the_content() ){

                the_content();
                // Link Pages
                taxiar_link_pages();
            }  

        echo '</div>';

        if( class_exists('ReduxFramework') ) {
            $taxiar_post_details_share_options = taxiar_opt('taxiar_post_details_share_options');
            $taxiar_display_post_tags = taxiar_opt('taxiar_display_post_tags');
            $taxiar_author_options = taxiar_opt('taxiar_post_details_author_desc_trigger');
        } else {
            $taxiar_post_details_share_options = false;
            $taxiar_display_post_tags = false;
            $taxiar_author_options = false;
        }
        
        $taxiar_post_tag = get_the_tags();
        
        if( ! empty( $taxiar_display_post_tags ) || ( ! empty($taxiar_post_details_share_options )) ){
            echo '<div class="share-links clearfix">';
                echo '<div class="row justify-content-between">';
                    if( is_array( $taxiar_post_tag ) && ! empty( $taxiar_post_tag ) ){
                        if( count( $taxiar_post_tag ) > 1 ){
                            $tag_text = __( 'Related Tags:', 'taxiar' );
                        }else{
                            $tag_text = __( 'Related Tag:', 'taxiar' );
                        }
                        if($taxiar_display_post_tags){
                            echo '<div class="col-md-auto">';
                                echo '<div class="tagcloud">';
                                    foreach( $taxiar_post_tag as $tags ){
                                        echo '<a href="'.esc_url( get_tag_link( $tags->term_id ) ).'">'.esc_html( $tags->name ).'</a>';
                                    }
                                echo '</div>';
                            echo '</div>';
                        }
                    }

                    /**
                    *
                    * Hook for Blog Details Share Options
                    *
                    * Hook taxiar_blog_details_share_options
                    *
                    * @Hooked taxiar_blog_details_share_options_cb 10
                    *
                    */
                    do_action( 'taxiar_blog_details_share_options' );

                echo '</div>';

            echo '</div>';

                
        }  

       

    echo '</div>'; 

     /**
        *
        * Hook for Blog Navigation
        *
        * Hook taxiar_blog_details_post_navigation
        *
        * @Hooked taxiar_blog_details_post_navigation_cb 10
        *
        */
        do_action( 'taxiar_blog_details_post_navigation' );

        /**
        *
        * Hook for Blog Details Comments
        *
        * Hook taxiar_blog_details_comments
        *
        * @Hooked taxiar_blog_details_comments_cb 10
        *
        */
        do_action( 'taxiar_blog_details_comments' );
