<?php
/**
 * @Packge     : Taxiar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $taxiar_post_id = get_the_ID();

            // Get the page settings manager
            $taxiar_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $taxiar_page_settings_model = $taxiar_page_settings_manager->get_model( $taxiar_post_id );

            // Retrieve the color we added before
            $taxiar_header_style = $taxiar_page_settings_model->get_settings( 'taxiar_header_style' );
            $taxiar_header_builder_option = $taxiar_page_settings_model->get_settings( 'taxiar_header_builder_option' );

            if( $taxiar_header_style == 'header_builder'  ) {

                if( !empty( $taxiar_header_builder_option ) ) {
                    $taxiarheader = get_post( $taxiar_header_builder_option );
                    echo '<header class="header">';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $taxiarheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $taxiar_header_builder_trigger = taxiar_opt('taxiar_header_options');
                if( $taxiar_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $taxiar_global_header_select = get_post( taxiar_opt( 'taxiar_header_select_options' ) );
                    $header_post = get_post( $taxiar_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    taxiar_global_header_option();
                }
            }
        } else {
            $taxiar_header_options = taxiar_opt('taxiar_header_options');
            if( $taxiar_header_options == '1' ) {
                taxiar_global_header_option();
            } else {
                $taxiar_header_select_options = taxiar_opt('taxiar_header_select_options');
                $taxiarheader = get_post( $taxiar_header_select_options );
                echo '<header class="header">';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $taxiarheader->ID );
                echo '</header>';
            }
        }
    } else {
        taxiar_global_header_option();
    }